Subject: bug#71070: closed (Re: bug#71070: 30.0.50; c++-ts-mode namespace wrong fontification.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Jun 2024 01:56:02 +0000

Your bug report

#71070: 30.0.50; c++-ts-mode namespace wrong fontification.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71070: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71070
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71070: 30.0.50; c++-ts-mode namespace wrong fontification.
From: Yuan Fu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Dmitry Gutov <[email-masked]>, Ergus <[email-masked]>, [email-masked]
Date: Thu, 20 Jun 2024 18:53:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Jun 19, 2024, at 4:52 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Tue, 18 Jun 2024 23:27:47 -0700
>> Cc: Dmitry Gutov <[email-masked]>,
>> Ergus <[email-masked]>,
>> [email-masked]
>> 
>> 
>> 
>>> On Jun 15, 2024, at 1:34 AM, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>> Ping!  Can we please make some progress here?
>> 
>> As for the original reported bug, I’ve fixed that (now c++-ts-mode fontifies namespaces in constant face). Perhaps namespaces could be fontified in type face instead. I don’t have any opinion on that. My take is that we could add a namespace/module face and make it inherit from either type or constant.
> 
> So you are basically saying that this bug should be closed, and if
> there are more requests, they should open a new bug report?

Yes, this bug is resolved. Closing the report.

Yuan

Subject: 30.0.50; c++-ts-mode namespace wrong fontification.
From: Ergus <[email-masked]>
To: [email-masked]
Date: Sun, 19 May 2024 20:14:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Following up the conversation in the develops mailing list I will report
this issue still happening:

In c++-ts-mode, the namespaces are not fontified like in c++-mode

(i.e in std::string the `std` used to have font-lock-constant-face while
`string` used to have font-lock-type-face).

It seems like tresitter identifies them properly like
(namespace_identifier) and (type_identifier), but the fontification rule
is wrong.

There was an attempt to fix it in c6a5aae3da17459be7550c but the issue
is still there.

Best,
Ergus